petsc-3.4.2 2013-07-02

# DMConvert

Converts a DM to another DM, either of the same or different type.

### Synopsis

    #include "petscdm.h"
    PetscErrorCode DMConvert(DM dm, DMType newtype, DM *M)

Collective on DM

### Input Parameters

| dm | - the DM
| newtype | - new DM type (use "same" for the same type)

### Output Parameter

M -pointer to new DM

### Notes

Cannot be used to convert a sequential DM to parallel or parallel to sequential, the MPI communicator of the generated DM is always the same as the communicator of the input DM.

### See Also

DMCreate()

Level:intermediate
Location:src/dm/interface/dm.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex10.c.html